@charset "UTF-8";

.qa-box {
  counter-increment: qa-number;
}
.qa-box .question::before {
  content: "Q" counter(qa-number) ". ";
  padding-inline-end: 0.5em;
  font-weight: bold;
}

.accordion {
  padding-block: 1em;
  border-bottom: 1px solid #ddd;
}

/* ----------------------
 * Summary
 * ---------------------- */

.accordion summary {
  list-style: none;
  cursor: pointer;
  padding-block: 1rem;
  padding-inline: 2.5em 6vw;
  text-indent: -2.5em;
  font-weight: bold;
  position: relative;
}
@media all and (min-width:641px) {
  .accordion summary {
    padding-inline-end: 1rem;
  }
}

.accordion summary::-webkit-details-marker {
  display: none;
}

.accordion summary::after {
  content: "";
  width: 8px;
  height: 8px;
  border-right: 2px solid currentColor;
  border-bottom: 2px solid currentColor;

  position: absolute;
  right: 1rem;
  top: 50%;

  transform: translateY(-70%) rotate(45deg);
  transition: transform .3s ease;
}

.accordion[open] summary::after {
  transform: translateY(-30%) rotate(225deg);
}


/* ----------------------
 * Answer
 * ---------------------- */

.accordion::details-content {
  content-visibility: unset;
  display: grid;
  grid-template-rows: 0fr;
  transition:
    grid-template-rows .6s cubic-bezier(.22, 1, .36, 1);
}

.accordion[open]::details-content {
  grid-template-rows: 1fr;
}

.qa-box .answer {
  overflow: hidden;
  position: relative;
}

.qa-box .answer * {
  text-indent: 0;
}

.qa-box .answer::before {
  content: "A.";

  position: absolute;
  /* inset-inline-start: 1rem; */
  inset-block-start: .5rem;

  font-weight: bold;

  opacity: 0;

  transition: opacity .3s ease;
}

.qa-box .answer > div {
  padding-block: .5em;
  padding-inline: 2.5em 2em;
}
.two-digits.qa-box .answer > div {
  padding-inline-start: 3em;
}

.qa-box .answer > div > :first-child {
  margin-top: 0;
}

.qa-box .answer > div > :last-child {
  margin-bottom: 0;
}


/* ----------------------
 * Open
 * ---------------------- */

.accordion[open] .answer::before {
  opacity: 1;
}


/* ----------------------
 * Optional
 * ---------------------- */

.qa-box.two-digits .answer::before {
  padding-inline-end: .5em;
}


.asterisk {
  margin-inline-start: 1em;
  text-indent: -1em;
}

.italic {
  font-style: italic;
}

.contact-link-area {
  margin-inline: auto;
  text-align: center;

  & > div {
    width: min(100%, 350px);
    margin-block: 1em;
    margin-inline: auto;
    
    & a {
      display: block;
      padding-block: 1em;
      text-align: center;
      background: linear-gradient(
      to top,
      #000 0%,
      #5b5b5b 100%
      );
      border-radius: 10px;
      color: white;
      text-decoration: none;
      transition: all .2s ease-in-out;

      &:hover {
        opacity: .8;
      }
    }
  }
}
a.link-btn-red {
  position: relative;
  display: inline-flex;
  padding-inline-start: 2em;
  font-weight: bold;
}

a.link-btn-red::after {
  content: "";
  position: absolute;
  left: 3.5em;
  top: 50%;
  width: 30px;
  height: 30px;
  border-radius: 50%;
  background: #f00;
  transform: translateY(-50%);
}

a.link-btn-red::before {
  content: "";
  position: absolute;
  left: 4em;
  top: 50%;
  width: 8px;
  height: 8px;
  border-top: 3px solid #fff;
  border-right: 3px solid #fff;
  transform: translateY(-50%) rotate(45deg);
  z-index: 1;
}